SymmetryProblem-class {coin} | R Documentation

## Class `"SymmetryProblem"`

### Description

Objects of class `"SymmetryProblem"` represent the data structure corresponding to a symmetry problem.

### Objects from the Class

Objects can be created by calls of the form

         new("SymmetryProblem", x, y, block = NULL, weights = NULL, \dots)

where `x` and `y` are data frames containing the variables X and Y respectively, `block` is an optional factor representing the block structure b and `weights` is an optional integer vector corresponding to the case weights w.

### Slots

`x`:

  Object of class `"data.frame"`. The variables `x`.

`y`:

  Object of class `"data.frame"`. The variables `y`.

`block`:

  Object of class `"factor"`. The block structure.

`weights`:

  Object of class `"numeric"`. The case weights.

### Extends

Class `"IndependenceProblem"`, directly.

### Methods

initialize

  `signature(.Object = "SymmetryProblem")`: See the documentation for `initialize` (in package methods) for details.

[Package coin version 1.3-0 Index]